2021-11-15 20:39:26 UTC
45.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:afe0e1febe23918824088b45b415ce1778e92899ae26f0867294eb91de50aa4f - 5.96% (2.7 MB)
[#001] sha256:86251b5f6a583cfdcbad811e64cea36761c786c5e1256237a1ec1a069ebdf8d6 - 0.0% (1.23 KB)
[#002] sha256:0368c7d7d91e44f89227e2538056eee5b44974ba65d345e7870a69c9cd6c43f3 - 94.03% (42.5 MB)
[#003] sha256:2b70b8483ebe69c47acecc74b959242ce657f3a58f0b2d12e979c12794f19f3b - 0.0% (174 Bytes)
[#004] sha256:5a1bf56447f25206a064e6a42a685b02b3c0ee05b3abd60ef09559a86a2976a7 - 0.0% (153 Bytes)
[#005] sha256:fb2d8f7155897598020e4f7761cb8581e326bcd2ac5f7c137d9777ad97b6ff64 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:f6503c5a96198c02627cf7250b271ec6d49ffa83a87a588498eee61ba7f9c6fe in /
2021-11-12 16:38:50 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-15 20:39:13 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.17
2021-11-15 20:39:13 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.17 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-15 20:39:14 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-15 20:39:15 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-15 20:39:23 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-15 20:39:24 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-15 20:39:25 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-15 20:39:25 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-15 20:39:25 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-15 20:39:25 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-15 20:39:26 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-15 20:39:26 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-15 20:39:26 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-15 20:39:26 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-15 20:24:50 UTC
45.7 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:5758d4e389a3f662e94a85fb76143dbe338b64f8d2a65f45536a9663b05305ad - 5.9% (2.69 MB)
[#001] sha256:8d344b293099861acc14536e269f0ba63c3e56b0bdff98ba4aea25a4b86521af - 0.0% (1.23 KB)
[#002] sha256:3734432cf175532a51994e77fd0792a2ca5388763166230fd72c679d196dc96a - 94.1% (43 MB)
[#003] sha256:64ecb0127f7060faca4236b8c9fbe48365493c428e2cdd94113c3a217b4a04e5 - 0.0% (172 Bytes)
[#004] sha256:7c3ddf90960014b8c2bcf333ad4f7426a16639787ec972b315015d5e18044806 - 0.0% (154 Bytes)
[#005] sha256:3e82abc6e83e9ec6214295544373cb61fa4a17112b7c0fcef33ef0d87f461321 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:5a707b9d6cb5fff532e4c2141bc35707593f21da5528c9e71ae2ddb6ba4a4eb6 in /
2021-11-12 17:19:58 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-15 20:24:32 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.17
2021-11-15 20:24:32 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.17 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-15 20:24:32 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-15 20:24:33 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-15 20:24:47 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-15 20:24:48 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-15 20:24:49 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-15 20:24:49 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-15 20:24:49 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-15 20:24:49 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-15 20:24:50 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-15 20:24:50 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-15 20:24:50 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-15 20:24:50 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-15 20:51:21 UTC
43.1 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:846f3a0f3493d22f22643b6a1c057d2d37e608433cd1033d25dac92032b8b9e3 - 5.83% (2.51 MB)
[#001] sha256:5c48c9ed7e7b64c0d7cc9ecb99049aab3f58a925d2e06b96173ae3115a602cf0 - 0.0% (1.23 KB)
[#002] sha256:bcb1317cc3caf2eaf04d08c46b7cff4eb65a81bdb31ba0f440b3dc45d203e0c9 - 94.16% (40.6 MB)
[#003] sha256:b9bc64da0fe4c8086ba1027607883d6e4ac0f8a82976033948a40785e99fa41d - 0.0% (175 Bytes)
[#004] sha256:8ddd0497a930f3aec1da37737117ad1e11bfb4d22e45560c8bb3529f4f8c1705 - 0.0% (153 Bytes)
[#005] sha256:0f3932812eafe2c9e912bd9d2ed539801940dc589ad75bd5b908ee6c118ee101 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:26e756fd544e28ae75be38d81452cf3266a2dabcffe9ecce3af2db9fde9edea3 in /
2021-11-12 16:49:58 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-15 20:51:00 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.17
2021-11-15 20:51:00 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.17 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-15 20:51:00 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-15 20:51:02 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-15 20:51:15 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-15 20:51:17 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-15 20:51:18 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-15 20:51:19 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-15 20:51:19 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-15 20:51:19 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-15 20:51:20 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-15 20:51:20 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-15 20:51:21 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-15 20:51:21 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-15 20:40:50 UTC
43.3 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:06decbbdea2401b400024fb2feadd51ee381cd4b7b78a30306c3828ec9f6c760 - 5.99% (2.59 MB)
[#001] sha256:8ee4612ef07a9bd61350a0704fe2c1cd72a3a9de2949dbe843ab408e58f5d179 - 0.0% (1.2 KB)
[#002] sha256:4d8ecd3d73dcd8d00708ee34fcf5261cedb58c89e9e89def527e73fa6978cff9 - 94.0% (40.7 MB)
[#003] sha256:4b8d04b65e7070ea58533a4942bbac9368584a83b44df7f443632ca9f30b1f20 - 0.0% (142 Bytes)
[#004] sha256:5c406bf24ff2a56cbb3de6e7849729ea8243e490b196398ccb3c0aaa3cc85dec - 0.0% (155 Bytes)
[#005] sha256:6d63983b2883844436ebb6bebf583ea2a0d3c16dfab7b89fa14a162b5f60b5aa - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:ad85e8724ab9b90e37aadca9513807d07d557e7fc4287ca017f01f269aff3920 in /
2021-11-12 16:40:06 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-15 20:40:31 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.17
2021-11-15 20:40:32 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.17 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-15 20:40:33 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-15 20:40:34 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-15 20:40:41 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-15 20:40:42 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-15 20:40:43 UTC|1 CONSUL_VERSION=1.8.17 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-15 20:40:44 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-15 20:40:45 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-15 20:40:46 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-15 20:40:47 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-15 20:40:49 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-15 20:40:49 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-15 20:40:50 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]